class worker1 extends Thread 
{ String name;
  public worker1(String s)
  {name=s;}
 public void run()
 { for(int i=0;i<5;i++) 
 { 	 
	 System.out.println(name+"-->"+i);}}
}

public class H11Ex3 
{
public static void main(String args[])
{worker1 i1=new worker1("ali");
 worker1 i2=new worker1("veli");
 worker1 i3=new worker1("zeynep");
 i1.setPriority(Thread.MIN_PRIORITY);
 i2.setPriority(Thread.MIN_PRIORITY);
 i3.setPriority(Thread.MAX_PRIORITY);
 i1.start();
 i2.start();
 i3.start();
}
}
